﻿@model IEnumerable<EPPW.Membership.Dto.RoleDto>
<table id="RoleTable" class="table table-bordered zebra-striped dataTable table-hover table-condensed">
    <thead>
        <tr role="row">
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 106px;">Name
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 30px;">IsUsed
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 106px;">Desc
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 30px;">
                User
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 30px;">
                Program
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 30px;">
            </th>
        </tr>
    </thead>
    <tbody>
        @if (Model == null)
        {
            <tr>
                <td colspan="4">
                    <p>
                        没有查询的数据。</p>
                </td>
            </tr>
        }
        else
        {
            foreach (EPPW.Membership.Dto.RoleDto item in Model)
            {
            <tr>
                <td>@Html.DisplayFor(modelItem => item.RoleName)
                </td>
                <td>@Html.DisplayFor(modelItem => item.IsUsed)
                </td>
                <td>@Html.DisplayFor(modelItem => item.Description)
                </td>
                <td>
                    <a href="@Url.Action("RoleHasUsers", "AdminRole", new { id = item.RoleId, roleName =item.RoleName})" class="btn btn-small btn-block" title="Users" >
                        <i class="icon-user"></i>@item.UserCnt </a>
                </td>
                <td>
                    <a href="@Url.Action("RoleHasPrograms", "AdminRole", new { id = item.RoleId })" class="btn btn-small btn-block" title="Program" >
                        <i class="icon-list-alt"></i>@item.ProgramCnt</a>
                </td>
                <td>
                    <div class="btn-group">
                        <a href="@Url.Action("Edit", "AdminRole", new { id = item.RoleId })" class="btn btn-small" title="Edit" >
                                <i class='icon-edit'></i></a><a href="@Url.Action("Delete", "AdminRole", new { id = item.RoleId })" class="btn btn-small" title="Delete">
                                    <i class='icon-trash'></i></a>
                    </div>
                </td>
            </tr>
            }
        }
    </tbody>
</table>
